Summary:	A client compatible with AOL's 'Instant Messenger'
Name:		gaim-vv
Version:	1.5.0
Release:	1
Copyright:	GPL
Group:		Internet
URL:		http://sourceforge.net/projects/gaim-vv
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	Kids.tar.gz
Source3:	kitties.tar.gz
Source4:	SmallSmiles.tar.gz
Source5:	trilliansmileys.0.1.tar.gz
Source6:	Bugeyes.tar.gz
Source7:	xpsilver.tar.gz
Source8:	InBob.tar.gz 
Source9:	default_plus.tar.gz
Source10:	CrystalAIM.tar.gz
Source11:	ar-smiles-1.3.tar.gz
Source12:	filthysmilies.tar.gz
Source13:	sounds.tar.gz
Source14:	http://guifications.sourceforge.net/guifications-2.12.tar.bz2
Patch0:		%{name}.diff
Requires:	libosip linphone libj2k jasper libupnp gstreamer gst-plugins
Requires:	gst-jpeg2000
BuildRequires:	tcltk-devel gtkspell atk-devel pango-devel gtk2-devel 
BuildRequires:	glib2-devel libj2k-devel jasper-devel libosip-devel
BuildRequires:	linphone-devel libupnp-devel gstreamer-devel gst-plugins-devel
BuildRoot:	/var/tmp/%{name}-%{version}-root

%description
Reg. GAIM http://gaim.sf.net/
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim co gaim

Adv. GAIM-vv
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim-vv co gaim
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim-vv co libj2k
cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/gaim-vv co linphone

Yahoo! Voice and Cam support - 2005-03-31
Gaim allows you to talk to anyone using AOL's 
Instant Messenger service (you can sign up at http://www.aim.aol.com).  

Gaim also contains a multiple connection feature which consists of 
protocol plugins.  These plugins allow you to use gaim to connect 
to other chat services such as Yahoo!, AIM/AOL, ICQ, Jabber, MSN,
Napster, Gadu Gadu, Zephyr, Oscar & IRC.

%package        devel
Summary:        Development headers and libraries
Group:          Development

%description    devel
This package includes the header and library files necessary
for developing applications to use %{name}

%prep
%setup -q -n %{name}-%{version} -a 13 -a 14
#patch0 -p0
#touch plugins/linphone/linphone_config.h

%build
autogen.sh
make clean distclean
autoconf
configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--disable-nls \
	--without-included-gettext \
	--without-nspr-includes \
	--without-nspr-libs \
	--without-nss-includes \
	--without-nss-libs \
	--enable-gnutls=yes \
	--disable-openssl \
	--enable-tcl \
	--enable-tk \
	--enable-perl \
	--enable-jasper \
	--with-libj2k \
	--with-libj2k=/usr \
	--enable-linphone \
	--with-linphone=/usr \
	--enable-prpls \
	--enable-msn-vv \
	--enable-upnp
make
cd guifications-*
%configure --disable-nls --without-included-gettext
make
cd src/protocols/gg;make
cd ../irc;make
cd ../jabber;make
cd ../msn;make
cd ../napster;make
cd ../novell;make
cd ../oscar;make
cd ../rendezvous;make
cd ../toc;make
cd ../trepia;make
cd ../zephyr;make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
ln -sf gaim-vv.pc $RPM_BUILD_ROOT/usr/lib/pkgconfig/gaim.pc
cd guifications-*; make DESTDIR=$RPM_BUILD_ROOT install; cd -
mv $RPM_BUILD_ROOT/usr/lib/gaim/* $RPM_BUILD_ROOT/usr/lib/gaim-vv/; rmdir $RPM_BUILD_ROOT/usr/lib/gaim
mv $RPM_BUILD_ROOT/usr/share/pixmaps/gaim/* $RPM_BUILD_ROOT/usr/share/pixmaps/gaim-vv/; rmdir $RPM_BUILD_ROOT/usr/share/pixmaps/gaim
rm -R $RPM_BUILD_ROOT/usr/share/pixmaps/gaim-vv/smileys/{default,none}
chmod 755 $RPM_BUILD_ROOT/usr/lib/gaim-vv/*
pushd $RPM_BUILD_ROOT/usr/share/pixmaps/gaim-vv/smileys
for smileys in	%{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
		%{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} \
		%{SOURCE12}
do		tar xzf ${smileys}
done
popd
mv $RPM_BUILD_ROOT/usr/share/pixmaps/gaim-vv/smileys/default_plus $RPM_BUILD_ROOT/usr/share/pixmaps/gaim-vv/smileys/default
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "perllocal.pod"`
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
popd

# Clean-up
mv $RPM_BUILD_ROOT/usr/include/gaim-vv $RPM_BUILD_ROOT/usr/include/gaim;
ln -sf gaim $RPM_BUILD_ROOT/usr/include/gaim-vv
ln -sf gaim-vv $RPM_BUILD_ROOT/usr/bin/gaim
ln -sf gaim-vv-remote $RPM_BUILD_ROOT/usr/bin/gaim-remote
ln -sf gaim-vv $RPM_BUILD_ROOT/usr/lib/gaim
ln -sf gaim-vv $RPM_BUILD_ROOT/usr/share/pixmaps/gaim
rm -R $RPM_BUILD_ROOT/usr/share/applications
cp src/protocols/*/.libs/*.so $RPM_BUILD_ROOT/usr/lib/gaim-vv/

cd $RPM_BUILD_ROOT
/bin/chown -Rhf root .
/usr/bin/id -u
/bin/chgrp -Rhf root .
/bin/chmod -Rf a+rX,g-w,o-w .

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/gaim-vv/* 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/gaim-vv
/usr/lib/gaim
/usr/lib/perl5
/usr/share
/usr/man

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/pkgconfig
